// Employee.m
//
// Created on Wed Nov 16 11:41:34 PST 1994 by NeXT EOModeler.app Version 67

#import "Employee.h"

@implementation Employee
// This method "flattens" the project name by traversing the object
// graph.  This is sometimes preferable to flattening in EOModeler
// because if the toDepartment pointer is reassigned, then this
// method will correctly return the name for the new department.
// Such is not the case when using database flattening.
- (NSString *)departmentName
{
    return [toDepartment objectForKey:@"department_name"];
}


- (void)dealloc
{
    [address autorelease];
    [city autorelease];
    [first_name autorelease];
    [hire_date autorelease];
    [last_name autorelease];
    [phone autorelease];
    [state autorelease];
    [toEmp_Quote autorelease];
    [toEmp_Photo autorelease];
    [toEmp_Project autorelease];
    [toProjects autorelease];
    [toDepartment autorelease];
    [super dealloc];
}


@end
