// TableMagic - some useful methods for dealing with tableViews tied to controllers.

#import <eointerface/eointerface.h>

@interface NXTableView (tableMagic)
+ keyTableView;
    // returns currently selected TableView, or nil if none
- (EOController *)eoController;
    // EOController that is feeding this table
- (NSString *)associationKeyForColumn: (unsigned int)colNum;
- (NSArray *)associationKeysForSelectedColumns;
    // keys for the associations connected to the currently selected table columns
@end
