/*	NSObjCRuntime.h
	Language terminology
  	Copyright 1994, NeXT, Inc.
	NeXT, March 1994
*/

#import <objc/objc.h>

@class NSString;

/***************	Types		***************/

/* We assume that id, Class, SEL, BOOL have been defined by the language */

/***************	Functions		***************/

extern NSString *NSStringFromSelector(SEL aSelector);

extern SEL NSSelectorFromString(NSString *aSelectorName);
    /* returns 0 if selector does not exist */

extern Class NSClassFromString(NSString *aClassName);
    /* Returns nil if no class with this name currently loaded */

extern NSString *NSStringFromClass(Class aClass);

/***************	Constants		***************/

#ifndef YES
#define YES		1
#endif YES
#ifndef NO
#define NO		0
#endif NO

#ifndef nil
#define nil		0
#endif nil

