// EOFormatExpression.h
// Copyright (c) 1994, NeXT Computer, Inc. All rights reserved.

#import	"EOExpressionArray.h"

#import <foundation/NSArray.h>
#import <foundation/NSData.h>
#import <foundation/NSDictionary.h>
#import <foundation/NSObject.h>
#import <foundation/NSString.h>

// This class is used to place another object's expressionValue inside of
// a specified format. It's used internally by the Framework; you should never
// need to create or use one yourself.

@interface EOFormatExpression:NSObject <NSCopying>
{
    id _expression;
    NSString *_format;
    unichar _magicCharacter;
}

- initWithExpression:expression format:(NSString *)format
    magicCharacter:(unichar)magicCharacter;

@end

