//  SybaseContext.h
//  Copyright 1994, NeXT Computer, Inc.

#import	<eoaccess/eoaccess.h>
#import <sybfront.h>
#import <sybdb.h>

@class SybaseAdaptor;
@class SybaseChannel;

@interface SybaseContext:EOAdaptorContext
{
    SybaseAdaptor *_adaptor;
    SybaseChannel *_adaptorChannel; // not retained to avoid cycle
    unsigned _transactionCount; // will be > 1 if transactions are nested
    struct
    {
	unsigned debugEnabled:1;
	unsigned _RESERVED:31;
    } _flags;
}

- initWithAdaptor:(EOAdaptor *)adaptor;

@end
